# Interface IAnalyticsDocumentViewEventArgs

The `IAnalyticsDocumentViewEventArgs` interface describes the object that all `documentViewEvent` handlers receive as an argument.

## Index

### Properties

- documentViewEvent

## Properties

### documentViewEvent

documentViewEvent: IAPIDocumentViewEvent

- Defined in events/AnalyticsEvents.ts :20

The data to send in the request body of the Usage Analytics Write REST API call that logs the `click` event.

### Hierarchy

- IAnalyticsDocumentViewEventArgs